Groovy 1.7.10

## org.codehaus.groovy.ast.expr
[Java] Class AttributeExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.PropertyExpression
                      org.codehaus.groovy.ast.expr.AttributeExpression

    public class AttributeExpression
    extends PropertyExpression

Represents an attribute access (accessing the field of a class) such as the expression "foo.@bar".

Authors:
  James Strachan

Version:
  \$Revision: 13403 \$

Constructor Summary
`AttributeExpression(Expression objectExpression, Expression property)`
`AttributeExpression(Expression objectExpression, Expression property, boolean safe)`

Method Summary
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class PropertyExpression
getObjectExpression, getProperty, getPropertyAsString, getText, isDynamic, isImplicitThis, isSafe, isSpreadSafe, isStatic, setImplicitThis, setObjectExpression, setSpreadSafe, setStatic, toString, transformExpression, visit

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AttributeExpression

    public AttributeExpression(Expression objectExpression, Expression property)

### AttributeExpression

    public AttributeExpression(Expression objectExpression, Expression property, boolean safe)

Method Detail

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.